using System;
using System.Data;
using System.Collections.Generic;
using Bierhallen.DAL;

namespace Bierhallen.Domain
{
    public static class BrouwersFacade
    {
        public static List<Brouwer> GetBrouwers()
        {
            return BrouwersDAL.Instance.GetBrouwers();
        }

        public static Brouwer GetBrouwer(int brouwernr)
        {
            return BrouwersDAL.Instance.GetBrouwer(brouwernr);
        }

        public static int InsertBrouwer(string naam, string adres, string postcode, int omzet)
        {
            Brouwer brouwer = new Brouwer(naam, adres, postcode, omzet);
            brouwer.Validate();
            return BrouwersDAL.Instance.InsertBrouwer(brouwer);
        }

        public static bool UpdateBrouwer(int brouwernr, string naam, string adres, string postcode, int omzet)
        {
            Brouwer brouwer = new Brouwer(brouwernr, naam, adres,postcode, omzet);
            brouwer.Validate();
            return BrouwersDAL.Instance.UpdateBrouwer(brouwer);

        }

        public static bool DeleteBrouwer(int brouwernr)
        {
            return BrouwersDAL.Instance.DeleteBrouwer(brouwernr);
        }

        public static List<Gemeente> GetGemeenten()
        {
            return BrouwersDAL.Instance.GetGemeenten();
        }

    }
}
