using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Bierhallen.Domain;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            VullddlBrouwers();
            ddlGemeente.DataSource = BrouwersFacade.GetGemeenten();
            ddlGemeente.DataTextField = "Naam";
            ddlGemeente.DataValueField = "Postcode";
            ddlGemeente.DataBind();
            ddlGemeente.Items.Insert(0, new ListItem("--Select town--", "0"));
            pnlDetail.Visible = false;
        }
    }

    private void VullddlBrouwers()
    {
        try
        {
            ddlBrouwers.DataSource = BrouwersFacade.GetBrouwers();
            ddlBrouwers.DataTextField = "Naam";
            ddlBrouwers.DataValueField = "Brouwernr";
            ddlBrouwers.DataBind();
            ddlBrouwers.Items.Insert(0,
                new ListItem("-- Selecteer brouwer --", "0"));
        }
        catch (Exception ex)
        { lblFeedback.Text = ex.Message; }
    }

    protected void btnVoegToe_Click(object sender, EventArgs e)
    {
        pnlDetail.Visible = true;
        btnWijzig.Text = "Voeg Toe";
        btnVerwijder.Text = "Cancel";
        InitControls();
    }

    private void InitControls()
    {
        foreach (Control c in pnlDetail.Controls)
        {
            if (c is TextBox)
                ((TextBox)c).Text = String.Empty;
            if (c is DropDownList)
                ((DropDownList)c).SelectedValue = "0";
        }
    }

    protected void btnWijzig_Click(object sender, EventArgs e)
    {
        try
        {
            int brouwernr;
            int omzet = txtOmzet.Text == String.Empty ? 0 : int.Parse(txtOmzet.Text);
            if (btnWijzig.Text == "Change")
            {
                brouwernr = int.Parse(ddlBrouwers.SelectedValue);
                BrouwersFacade.UpdateBrouwer(brouwernr, txtNaam.Text, txtAdres.Text, ddlGemeente.SelectedValue, omzet);
                lblFeedback.Text = "Brewer is changed";
            }
            else
            {
                brouwernr = BrouwersFacade.InsertBrouwer(txtNaam.Text, txtAdres.Text, ddlGemeente.SelectedValue, omzet);
                btnWijzig.Text = "Change";
                btnVerwijder.Text = "Delete";
                lblFeedback.Text = "Brewer is added";
            }
            VullddlBrouwers();
            ddlBrouwers.SelectedValue = brouwernr.ToString();
        }
        catch (Exception ex)
        {
            lblFeedback.Text = ex.Message;
        }
    }
    protected void btnVerwijder_Click(object sender, EventArgs e)
    {
        try
        {
            if (btnVerwijder.Text == "Delete")
            {
                if (ddlBrouwers.SelectedValue != "0")
                {
                    BrouwersFacade.DeleteBrouwer(int.Parse(ddlBrouwers.SelectedValue));
                    lblFeedback.Text = "Brewer is deleted";
                    pnlDetail.Visible = false;
                    VullddlBrouwers();
                }
            }
            else
            {
                pnlDetail.Visible = false;
                ddlBrouwers.SelectedIndex = 0;
            }
        }
        catch (Exception ex)
        {
            lblFeedback.Text = ex.Message;
        }
    }
    protected void ddlBrouwers_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            if (ddlBrouwers.SelectedValue != "0")
            {
                InitControls();
                Brouwer brouwer = BrouwersFacade.GetBrouwer(int.Parse(ddlBrouwers.SelectedValue));
                txtNaam.Text = brouwer.Naam;
                ddlGemeente.SelectedValue = brouwer.Postcode;
                txtAdres.Text = brouwer.Adres;
                txtOmzet.Text = brouwer.Omzet.ToString();
                pnlDetail.Visible = true;
                btnWijzig.Text = "Change";
                btnVerwijder.Text = "Delete";
            }
            else
                pnlDetail.Visible = false;
        }
        catch (Exception ex)
        {
            lblFeedback.Text = ex.Message;

        }
    }

}
